Package org.apache.wiki.ui.admin

# Class DefaultAdminBeanManager

java.lang.Object
org.apache.wiki.ui.admin.DefaultAdminBeanManager

All Implemented Interfaces:
  `EventListener`, `WikiEventListener`, `AdminBeanManager`

public class DefaultAdminBeanManager extends Object implements WikiEventListener, AdminBeanManager
Provides a manager class for all AdminBeans within JSPWiki. This class also manages registration for any AdminBean which is also a JMX bean.

Since:
  2.5.52

## Constructor Summary

Constructors
Constructor
Description
`DefaultAdminBeanManager(Engine engine)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(WikiEvent event)`
Unregisters AdminBeans upon SHUTDOWN event.
`AdminBean`
`findBean(String id)`
Locates a bean based on the AdminBean.getId() out of all the registered beans.
`List<AdminBean>`
`getAllBeans()`
Lists all administration beans which are currently known and instantiated.
`int`
`getTypeFromString(String type)`
Returns the type identifier for a string type.
`void`
`initialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultAdminBeanManager

public DefaultAdminBeanManager(Engine engine)

## Method Details

### initialize

public void initialize()

Specified by:
  `initialize` in interface `AdminBeanManager`

### getAllBeans

public List<AdminBean> getAllBeans()
Description copied from interface: `AdminBeanManager`
Lists all administration beans which are currently known and instantiated.

Specified by:
  `getAllBeans` in interface `AdminBeanManager`
Returns:
  all AdminBeans known to the manager

### findBean

public AdminBean findBean(String id)
Description copied from interface: `AdminBeanManager`
Locates a bean based on the AdminBean.getId() out of all the registered beans.

Specified by:
  `findBean` in interface `AdminBeanManager`
Parameters:
  `id` - ID
Returns:
  An AdminBean, or null, if no such bean is found.

### getTypeFromString

public int getTypeFromString(String type)
Returns the type identifier for a string type.

Specified by:
  `getTypeFromString` in interface `AdminBeanManager`
Parameters:
  `type` - A type string.
Returns:
  A type value.

### actionPerformed

public void actionPerformed(WikiEvent event)
Description copied from interface: `AdminBeanManager`
Unregisters AdminBeans upon SHUTDOWN event.

Specified by:
  `actionPerformed` in interface `AdminBeanManager`
Specified by:
  `actionPerformed` in interface `WikiEventListener`
Parameters:
  `event` - the WikiEvent